<script setup lang="ts">
import { usePartieStore } from '@/stores/partie';
import { computed } from 'vue';

const partieStore = usePartieStore()

const progressColor = computed(() => {
    const value = partieStore.audioDuration
    if (!value) {
        return ""
    } else if (value < 65) {
        return "progress-success"
    } else if (value < 90) {
        return "progress-warning"
    } else {
        return "progress-error"
    }
})
</script>

<template>
    <progress class="progress transition-all ease-in-out duration-1000" :class="progressColor"
        :value="partieStore.audioDuration ?? undefined" max="100"></progress>
</template>
